cl.cromer.estructuras

## Class ListaEnlaceNormal

- java.lang.Object
- - cl.cromer.estructuras.ListaEnlaceNormal

All Implemented Interfaces:
  ListaEnlace

    public final class ListaEnlaceNormal
    extends java.lang.Object
    implements ListaEnlace

Esta clase es de tipo de enlace normal.

Author:
  Chris Cromer

### Field Summary

Fields
`private int` `llave` La llave.
`private ListaEnlaceNormal` `previo` El enlace previo por doble enlazada.
`private ListaEnlaceNormal` `siguiente` El siguiente enlace.

### Constructor Summary

Constructors
Constructor and Description
`ListaEnlaceNormal()` Incializar.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLlave()` Devolver la llave.
`ListaEnlaceNormal` `getPrevio()` Devolver el enlace previo.
`ListaEnlaceNormal` `getSiguiente()` Devolver el siguiente enlace.
`void` `setLlave(int llave)` Cambiar el valor de la llave.
`void` `setPrevio(java.lang.Object previo)` Cambiar el previo enlace.
`void` `setSiguiente(java.lang.Object siguiente)` Cambiar el siguiente enlace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### llave

    private int llave

La llave.

#### siguiente

    private ListaEnlaceNormal siguiente

El siguiente enlace.

#### previo

    private ListaEnlaceNormal previo

El enlace previo por doble enlazada.

### Constructor Detail

#### ListaEnlaceNormal

    public ListaEnlaceNormal()

Incializar.

### Method Detail

#### getLlave

    public int getLlave()

Devolver la llave.

Specified by:
  `getLlave` in interface `ListaEnlace`
Returns:
  int: La llave.

#### setLlave

    public void setLlave(int llave)

Cambiar el valor de la llave.

Specified by:
  `setLlave` in interface `ListaEnlace`
Parameters:
  `llave` - int: El valor de la llave.

#### getSiguiente

    public ListaEnlaceNormal getSiguiente()

Devolver el siguiente enlace.

Specified by:
  `getSiguiente` in interface `ListaEnlace`
Returns:
  ListaEnlaceNormal: El enlace a devolver.

#### setSiguiente

    public void setSiguiente(java.lang.Object siguiente)

Cambiar el siguiente enlace.

Specified by:
  `setSiguiente` in interface `ListaEnlace`
Parameters:
  `siguiente` - Object: El siguiente enlace nuevo de tipo `ListaEnlaceNormal`.

#### getPrevio

    public ListaEnlaceNormal getPrevio()

Devolver el enlace previo.

Specified by:
  `getPrevio` in interface `ListaEnlace`
Returns:
  ListaEnlaceNormal: El enlace previo.

#### setPrevio

    public void setPrevio(java.lang.Object previo)

Cambiar el previo enlace.

Specified by:
  `setPrevio` in interface `ListaEnlace`
Parameters:
  `previo` - Object: El enlace previo nuevo de tipo `ListaEnlaceNormal`.